#!/bin/bash


make_change() {
    change_in_this_folder="$1"
    which_files="$2"
    text_to_search="$3"
    text_to_replace="$4"

    find "$change_in_this_folder" -name "$which_files" -exec sed -i 's`'"$text_to_search"'`'"$text_to_replace"'`g' {} \;
}

example_place='./examples'

make_change "$example_place" "*rc.sh" "^own_window_type.*" "own_window_type normal"
make_change "$example_place" "*rc.sh" ".*own_window_hints.*" "own_window_hints below,sticky,undecorated,skip_taskbar,skip_pager"

make_change "$example_place" "*rc" "\s*own_window_type.*" "    own_window_type = \'normal\',"
make_change "$example_place" "*rc" ".*own_window_hints.*" "    own_window_hints = \'below,sticky,undecorated,skip_taskbar,skip_pager\',"

exit 0
